# $Revision: 1.67 $, $Date: 2012/06/28 12:18:08 $
# TODO
#  - Anybody knows, why it will not build, when kernel-headers are installed?
#
%define		tarver	%(echo %{version} | tr _ -)
Summary:	Wireless network sniffer
Summary(pl.UTF-8):	Sniffer sieci bezprzewodowych
Name:		kismet
Version:	2011_03_R2
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.kismetwireless.net/code/%{name}-%{tarver}.tar.gz
# Source0-md5:	8bf077e8111e6dc8c12cadefdf40aadd
Patch0:		config.patch
URL:		http://www.kismetwireless.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	gmp-devel
BuildRequires:	libcap-devel
BuildRequires:	libnl-devel
BuildRequires:	libpcap-devel >= 2:0.9.4-1
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-ext-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Suggests:	%{name}-server
# it uses internal structures - so strict deps
%requires_eq	libpcap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		plugins	plugin-autowep plugin-btscan plugin-ptw plugin-spectools

%description
Kismet is a 802.11b wireless network sniffer. It is capable of
sniffing using almost any wireless card supported in Linux, including
Prism2 based cards supported by the Wlan-NG project (Linksys, Dlink,
Rangelan, etc), cards which support standard packet capture via
libpcap (Cisco), and limited support for cards without RF Monitor
support.

%description -l pl.UTF-8
Kismet to sniffer bezprzewodowych sieci 802.11b. Jest zdolny do
sniffowania używając prawie dowolnych bezprzewodowych kart sieciowych
w Linuksie włączając w to karty Prism2 wspierane przez projekt Wlan-NG
(Linksys, Dlink, Rangelan, etc), kart które umożliwiają
przechwytywanie pakietów poprzez libpcap (Cisco), oraz ograniczone
wsparcie dla kart bez obsługi Monitora RF.

%package server
Summary:	Server for Kismet
Group:		Networking/Daemons
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/sbin/groupadd
Provides:	group(kismet)

%description server
This package contains kismet_server which you can access with kismet
protocol compatible clients.

%prep
%setup -q -n %{name}-%{tarver}
%patch0 -p1

# make lib64 aware, include exec bits on install
%{__sed} -i -e 's!\$(prefix)/lib/!%_libdir/!g' plugin-*/Makefile
%{__sed} -i -e '/install/ s!-m644!-m755!' plugin-*/Makefile

# make %doc friendly
for a in plugin-*/README; do
	mv $a README.${a%/README}
done

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure

%{__make}

for plugin in %plugins; do
	%{__make} -C $plugin \
		KIS_SRC_DIR=$PWD
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_datadir},/var/log/%{name}}
for dir in . %plugins; do
	%{__make} -C $dir install \
		DESTDIR="$RPM_BUILD_ROOT" \
		KIS_SRC_DIR=$PWD \
		INSTUSR=%(id -un) \
		INSTGRP=%(id -gn) \
		MANGRP=%(id -gn)
done

# do what binsuidinstall would do
install -p kismet_capture $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre server
%groupadd -P %{name}-server -g 180 kismet

%preun server
if [ "$1" = "0" ]; then
	%groupremove kismet
fi

%files
%defattr(644,root,root,755)
%doc docs/* CHANGELOG README README.plugin-*
%attr(755,root,root) %{_bindir}/kismet
%attr(755,root,root) %{_bindir}/kismet_client
%{_datadir}/%{name}
%{_mandir}/man1/kismet.1*
%{_mandir}/man1/kismet_drone.1*
%dir %{_libdir}/kismet_client
%attr(755,root,root) %{_libdir}/kismet_client/btscan_ui.so
%attr(755,root,root) %{_libdir}/kismet_client/spectools_ui.so

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kismet.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kismet_drone.conf
%attr(4750,root,kismet) %{_bindir}/kismet_capture
%attr(755,root,root) %{_bindir}/kismet_drone
%attr(755,root,root) %{_bindir}/kismet_server
%{_mandir}/man5/kismet.conf.5*
%{_mandir}/man5/kismet_drone.conf.5*
%dir %{_libdir}/kismet
%attr(755,root,root) %{_libdir}/kismet/aircrack-kismet.so
%attr(755,root,root) %{_libdir}/kismet/autowep-kismet.so
%attr(755,root,root) %{_libdir}/kismet/btscan.so
%attr(755,root,root) %{_libdir}/kismet/spectool_net.so
%dir %attr(770,root,kismet) /var/log/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kismet.spec,v $
Revision 1.67  2012/06/28 12:18:08  kiesiu
- rel. 3; rebuild with libpcap-1.3.0

Revision 1.66  2012/04/20 15:15:21  glen
- release 2

Revision 1.65  2012/04/04 11:27:32  hawk
- libtinfo is no more
- release 1

Revision 1.64  2011/12/01 14:12:13  lmasko
- Up to the latest version 2011-03-R2.

Revision 1.63  2011/08/31 18:27:35  arekm
- release 3

Revision 1.62  2011/03/27 18:41:27  arekm
- release 2

Revision 1.61  2011/01/14 14:52:55  glen
- release 1

Revision 1.60  2011/01/13 18:04:43  glen
- server subpackage, add kismet user

Revision 1.59  2011/01/13 09:15:58  glen
- fix log dir

Revision 1.58  2011/01/12 22:33:04  glen
- install kismet_capture suid manually

Revision 1.57  2011/01/12 21:57:24  glen
- adjust defaults in config, add default logdir /var/log/kismet

Revision 1.56  2011/01/12 21:45:45  glen
- btscan plugin installed with proper perms, so bluez-libs dep added automaticaly

Revision 1.55  2011/01/12 21:44:17  glen
- up to 2010_07_R1
- dropped outdated configure options
- dropped outdated patches
- simplified install, verbose files
- install plugins to proper dir (checked from source which dir is actually used)

Revision 1.54  2010/06/19 18:59:37  radek
- release 6: hacks, BR: bluez-libs and -ltinfo

Revision 1.53  2010/05/16 23:50:31  sparky
- BR: bluez-libs-devel, libcap-devel, openssl-devel, pcre-devel
- dropped no longer used BR: ImageMagick-devel, libwiretap-devel

Revision 1.52  2010/05/16 21:45:44  radek
- release 5: package the plugins

Revision 1.51  2010/04/15 07:16:34  arekm
- release 4

Revision 1.50  2010/04/03 17:20:15  glen
- release 3

Revision 1.49  2010/01/19 05:01:02  draenog
- fix LibNL/nl80211 support
- rel. 2

Revision 1.48  2010/01/18 21:12:50  sparky
- BR: pkgconfig

Revision 1.47  2010/01/18 13:29:55  amateja
- updated to 2010_01_R1

Revision 1.46  2010/01/18 07:57:40  amateja
- release 9

Revision 1.45  2009/03/14 00:03:23  hawk
- release 8

Revision 1.44  2008/11/27 11:09:40  arekm
- release 7

Revision 1.43  2008/06/28 20:24:26  arekm
- release 6

Revision 1.42  2008-06-02 00:29:43  wolvverine
- up to 2008_05_R1

Revision 1.41  2008-05-27 10:53:56  hawk
- release 5

Revision 1.40  2007-11-07 00:28:26  glen
- rel 4

Revision 1.39  2007/11/04 22:10:00  arekm
- rel 2

Revision 1.38  2007/10/13 23:51:24  dzeus
- rel. 1

Revision 1.37  2007/10/13 10:07:46  darekr
- added TODO to %doc

Revision 1.36  2007/10/13 10:01:13  adamg
- updated to 200_10_R1

Revision 1.35  2007/08/10 19:23:30  arekm
- rel 2

Revision 1.34  2007/06/24 11:47:33  arekm
- rel 2; build fixed

Revision 1.33  2007/06/03 20:47:08  prism
- up to 2007_01_R1b

Revision 1.32  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.30  2006/10/07 12:02:07  arekm
- rel 3; rebuild

Revision 1.29  2006/06/25 10:34:43  arekm
- rebuild with new libpcap

Revision 1.28  2006/04/13 18:35:49  arekm
- up to 2006_04_R1

Revision 1.27  2006/04/05 14:08:07  hawk
- release 3 (rebuild with new ImageMagick)

Revision 1.26  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/10/16 18:11:16  arekm
- rel 2

Revision 1.24  2005/10/04 18:35:59  blues
- release 1

Revision 1.23  2005/08/19 07:16:10  grzegorz
- up to 2005-08-R1 security!!!
- cleanup

Revision 1.22  2005/06/28 00:17:58  zbyniu
- added BR: libstdc++-devel; removed BRs required by other BRs

Revision 1.21  2005/06/23 10:11:34  grzegorz
- up to 2005-06-R1

Revision 1.20  2005/04/29 06:57:27  qwark
- patch to build kismet on machine with kernel-headers installed

Revision 1.19  2005/04/17 06:18:29  snurf
- commented patch0 and patch1 (not needed anymore?)
- some cleanups and missing br's

Revision 1.18  2005/04/12 22:18:00  qboosh
- use standard buildroot

Revision 1.17  2005/04/12 18:04:54  speedo
- update to 2005.04.R1
- _ver added

Revision 1.16  2004/12/10 23:58:55  ankry
- rel. 5

Revision 1.15  2004/10/18 21:49:50  paladine
- spelling fix

Revision 1.14  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.13  2004/06/21 00:36:48  undefine
- release 4 to rebuild with libpcap 0.8.3

Revision 1.12  2004/03/20 11:18:05  qboosh
- release 3

Revision 1.11  2004/03/20 10:57:53  qboosh
- refresh config.sub for amd64

Revision 1.10  2004/01/18 09:18:08  qboosh
- added libpcap epoch

Revision 1.9  2004/01/18 02:11:03  arekm
- use libwiretap

Revision 1.8  2004/01/16 13:08:31  qboosh
- added acfix,pcap patches, build with system libpcap 0.8.x

Revision 1.7  2004/01/15 22:53:51  zagrodzki
- updated to 3.0.1

Revision 1.6  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/28 18:10:28  misi3k
- updated to 2.8.1
- removed misc_fix patch (not needed)

Revision 1.3  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.2  2002/09/20 11:10:44  ankry
- fixed source URL

Revision 1.1  2002/09/04 18:52:24  misiek
- initial pld release
